### org.jfree.layouting.renderer.process

# Class InfiniteMajorAxisLayoutStep.ParagraphBreakState

- `java.lang.Object`
- - `org.jfree.layouting.renderer.process.InfiniteMajorAxisLayoutStep.ParagraphBreakState`

Enclosing Class:
  InfiniteMajorAxisLayoutStep

`public static class InfiniteMajorAxisLayoutStep.ParagraphBreakState`
`extends java.lang.Object`

  ## Constructor Summary

  `ParagraphBreakState(ParagraphRenderBox paragraph)`

  ## Method Summary

  `BoxAlignContext`

  `closeContext()`

  `BoxAlignContext`

  `getCurrentLine()`

  `ParagraphRenderBox`

  `getParagraph()`

  `Object`

  `getSuspendItem()`

  `boolean`

  `isSuspended()`

  `void`

  `openContext(BoxAlignContext context)`

  `void`

  `setSuspendItem(Object suspendItem)`

## Constructor Details

### ParagraphBreakState

    public ParagraphBreakState(ParagraphRenderBox paragraph)

## Method Details

### closeContext

    public BoxAlignContext closeContext()

### getCurrentLine

    public BoxAlignContext getCurrentLine()

### getParagraph

    public ParagraphRenderBox getParagraph()

### getSuspendItem

    public Object getSuspendItem()

### isSuspended

    public boolean isSuspended()

### openContext

    public void openContext(BoxAlignContext context)

### setSuspendItem

    public void setSuspendItem(Object suspendItem)